image: maven:3-jdk-8-alpine

stages:
  - build

build:
  stage: build
  script:
    - mvn install:install-file -Dfile=lib/ojdbc6-11.2.0.3.jar -DpomFile=lib/ojdbc6-11.2.0.3.pom
    - mvn -B versions:set -DnewVersion=$CI_COMMIT_SHORT_SHA
    - mvn -B clean install -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=warn
    - rm -rf dbtool
    - cp -r resources dbtool
    - mv target/dbtool-*-jar-with-dependencies.jar dbtool/dbtool-${CI_COMMIT_SHORT_SHA}.jar
    - tar -czvf dbtool.tar.gz dbtool
    # - apk add jq
    # - export CHANGELOG=$(cat CHANGELOG | awk '{ printf("%s\\r\\n", $0) }')
    # - |
    #   echo "GET dbtool RELEASE:"
    #   export release_name=$(curl --header "https://gitlab.com/api/v4/projects/$CI_PROJECT_ID/releases/latest" | jq ".name" | sed 's|"||g')
    #   echo release name is $release_name
    #   if [ "$release_name" = "dbtool" ]; then
    #         echo "--- Deleting current release"
    #         curl --request DELETE --header "https://gitlab.com/api/v4/projects/$CI_PROJECT_ID/releases/latest" > /dev/null
    #         echo ""
    #         echo "--- Deleting latest tag"
    #         curl --request DELETE --header "https://gitlab.com/api/v4/projects/$CI_PROJECT_ID/repository/tags/latest" > /dev/null
    #         echo ""
    #   fi
    #   echo ""
    #   echo "CREATE dbtool RELEASE:"
    #   curl --header 'Content-Type: application/json' --header "PRIVATE-TOKEN: $PSCI_GX_TOKEN" \
    #   --data '{ "name": "dbtool", "tag_name": "latest", "ref": "master", "description": "'"$CHANGELOG"'", "assets": { "links": [{ "name": "gxb", "url": "https://gitlab.com/'$CI_PROJECT_PATH'/-/jobs/artifacts/master/raw/gxb?job=build" }] } }' \
    #   --request POST https://gitlab.com/api/v4/projects/$CI_PROJECT_ID/releases > /dev/null
    #   echo ""
  only:
    refs:
      - master
  artifacts:
    expire_in: 120 days
    paths: 
      - dbtool.tar.gz
